curl-X GET "https://api.skyvia.com/v1/workspaces/123/integrations/456/executions/active"\ -H"Authorization: <access_token>"
Cancel Integration Execution
POST /v1/workspaces/{workspaceId}/integrations/{integrationId}/executions/cancel
Cancels the active execution of the specified integration.
Parameters
NAME
TYPE
IN
DESCRIPTION
workspaceId
int32
path
The workspace ID.
integrationId
int32
path
The integration ID for which the active execution is being canceled.
Responses
Code
Message
Action
200
OK
The active execution is successfully canceled.
Request Example
1
2
curl-X POST "https://api.skyvia.com/v1/workspaces/123/integrations/456/executions/cancel"\ -H"Authorization: <access_token>"
Kill Integration Execution
POST /v1/workspaces/{workspaceId}/integrations/{integrationId}/executions/kill
Forces termination of the active integration execution in the specified integration.
Parameters
NAME
TYPE
IN
DESCRIPTION
workspaceId
int32
path
The workspace ID.
integrationId
int32
path
The integration ID for which the active execution is being killed.
Responses
Code
Message
Action
200
OK
The active execution is successfully killed.
Request Example
1
2
curl-X POST "https://api.skyvia.com/v1/workspaces/123/integrations/456/executions/kill"\ -H"Authorization: <access_token>"
Get Integration Schedule Status
GET /v1/workspaces/{workspaceId}/integrations/{integrationId}/schedule
Retrieves the schedule status of the specified integration. Note that the request executes successfully only if the integration has a schedule defined whether enabled or disabled.
Parameters
NAME
TYPE
IN
DESCRIPTION
workspaceId
int32
path
The workspace ID.
integrationId
int32
path
The integration ID to retrieve the schedule for.
Responses
Code
Message
Action
200
OK
Returns the schedule details of the integration.
204
No Content
Schedule is not defined for the integration.
Response Example:
1
2
3
{ "active":true }
Request Example
1
2
curl-X GET "https://api.skyvia.com/v1/workspaces/123/integrations/456/schedule"\ -H"Authorization: <access_token>"
Enable Integration Schedule
POST /v1/workspaces/{workspaceId}/integrations/{integrationId}/schedule/enable
Enables the schedule for the specified integration. A schedule must be defined for the integration; otherwise, the call results in the 404 error.
Parameters
NAME
TYPE
IN
DESCRIPTION
workspaceId
int32
path
The workspace ID.
integrationId
int32
path
The integration ID for which the schedule is being enabled.
Responses
Code
Message
Action
200
OK
The schedule for the integration is enabled.
404
Not Found
The schedule for the integration is not defined.
Request Example
1
2
curl-X POST "https://api.skyvia.com/v1/workspaces/123/integrations/456/schedule/enable"\ -H"Authorization: <access_token>"
Disable Integration Schedule
POST /v1/workspaces/{workspaceId}/integrations/{integrationId}/schedule/disable
Disables the schedule for the specified integration.
Parameters
NAME
TYPE
IN
DESCRIPTION
workspaceId
int32
path
The workspace ID.
integrationId
int32
path
The integration ID for which the schedule is being disabled.
Responses
Code
Message
Action
200
OK
The schedule for the integration is disabled.
Request Example
1
2
curl-X POST "https://api.skyvia.com/v1/workspaces/123/integrations/456/schedule/disable"\ -H"Authorization: <access_token>"